Deployments.ai Docs
Providers

Revoke a provider connection

DELETE /v1/connections/{id} · SDK revokeProviderConnection · CLI deployments connection revoke

DELETE
/v1/connections/{id}

A suspended organization can still call it.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
expectedVersion?integer
Range0 <= value
reason?string

Response Body

ProviderConnectionResponse

application/json
  1. response
authMethod*string
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
displayName*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
externalAccountId?string
externalAccountName?string
hasCredential*boolean
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
lastVerifiedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
providerApplicationId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
providerKey*string
Match^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$
refreshAfter?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
scopes*array<string>
status*string
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range0 <= value
curl -X DELETE "https://example.com/v1/connections/string" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "authMethod": "string",  "createdAt": "2019-08-24T14:15:22Z",  "displayName": "string",  "externalAccountId": "string",  "externalAccountName": "string",  "hasCredential": true,  "id": "string",  "lastVerifiedAt": "2019-08-24T14:15:22Z",  "providerApplicationId": "string",  "providerKey": "string",  "refreshAfter": "2019-08-24T14:15:22Z",  "scopes": [    "string"  ],  "status": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0}